Service usage specifications
The APIs exposed by XPay support the HTTP protocol with channel encryption and use the JSON format for the request and response.
Here are the technical details for invoking the services.
Request specifications
| Protocol | HTTPS |
| Method | GET/POST |
| Content-Type | application/json |
| Production url | https://xpay.nexigroup.com/api/phoenix-0.0/psp/api/v1/ |
| Test url | https://xpaysandbox.nexigroup.com/api/phoenix-0.0/psp/api/v1/ |
We recommend avoiding direct requests and/or adding the IP addresses of endpoint DNS resolution to firewall authorization lists. However, if whitelists have been configured, please update them with the following production addresses:
- 185.198.117.102
- 185.198.118.102
The TLSv1.2 and TLSv1.3 protocols are supported. Below are the ciphers:
- TLS 1.2:
- TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
- TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
- TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256
- TLS 1.3:
- AES_128_GCM_SHA256
- AES_256_GCM_SHA384
- CHACHA20_POLY1305_SHA256
Below are the details of the certificate installed in the test and production environment:
| ROOT CERTIFICATE | GlobalSign Root CA - R3 |
| Serial Number | 04:00:00:00:00:01:21:58:53:08:A2 |
| CA Intermediate | GlobalSign RSA Organization Validation CA - 2018 |
| Serial Number | 01:EE:5F:22:1D:FC:62:3B:D4:33:3A:85:57 |
If it is necessary to download the certificates, please refer to the web pages of the Certification Authority (CA):
- https://support.globalsign.com/ca-certificates/root-certificates/globalsign-root-certificates
- https://support.globalsign.com/ca-certificates/intermediate-certificates/organizationssl-intermediate-certificates
Here are some examples of requests to XPay services in different programming languages:
Specifications for outcome notification
Payment notifications for asynchronous services are sent by the XPay gateway in server-to-server mode with the POST method, in JSON format. They have the following user agent:
Apache-HttpClient/4.5.13 (Java/1.8.0_161)
The notification is optional, it is sent if the "notificationUrl" parameter is set in the APIs:
- POST /orders/hpp (Hosted Payment Page)
- POST/orders/paybylink (Pay-By-Link)
- POST /orders/build (XPay Build)
Below are the IP addresses of the Gateway from which notifications are sent:
| Domain | IP Addresses |
|---|---|
| xpaysandbox.nexigroup.com |
|
| xpay.nexigroup.com |
|
- It is specified that the XPay payment gateway flow requires that web redirects and 3D Secure authentication steps be executed directly in the end user’s browser, in accordance with the flow defined in the official documentation. The use of solutions that intercept, simulate, or automate the redirects and HTTP requests of the authentication process is neither supported nor permitted, nor is the use of application-level proxies to manage the flow. Such implementations are incompatible with the system’s security model and result in transaction blocking. The only approved integration method is based on the official APIs and SDKs provided by the gateway.
- For solutions that use the "resultUrl" parameter during the payment initiation phase, which involve redirecting the end customer from the Nexi page back to the merchant's page, there is no static IP address from which Nexi performs the call. The redirect occurs directly through the end user's browser; consequently, requests to the merchant's servers will originate directly from the end customer's IP address.